Index: uspace/srv/fs/exfat/exfat_bitmap.c
===================================================================
--- uspace/srv/fs/exfat/exfat_bitmap.c	(revision e0d98b28a0e0aacac781d5016c0a045b0a2558df)
+++ uspace/srv/fs/exfat/exfat_bitmap.c	(revision 375ab5e571cc53eeb2aa803a8e86052b51d7ad00)
@@ -49,5 +49,5 @@
 
 
-int bitmap_is_free(exfat_bs_t *bs, devmap_handle_t devmap_handle, 
+int bitmap_is_free(exfat_bs_t *bs, service_id_t service_id, 
     exfat_cluster_t clst)
 {
@@ -61,5 +61,5 @@
 	clst -= EXFAT_CLST_FIRST;
 	
-	rc = exfat_bitmap_get(&fn, devmap_handle);
+	rc = exfat_bitmap_get(&fn, service_id);
 	if (rc != EOK)
 		return rc;
@@ -90,5 +90,5 @@
 }
 
-int bitmap_set_cluster(exfat_bs_t *bs, devmap_handle_t devmap_handle, 
+int bitmap_set_cluster(exfat_bs_t *bs, service_id_t service_id, 
     exfat_cluster_t clst)
 {
@@ -101,5 +101,5 @@
 	clst -= EXFAT_CLST_FIRST;
 	
-	rc = exfat_bitmap_get(&fn, devmap_handle);
+	rc = exfat_bitmap_get(&fn, service_id);
 	if (rc != EOK)
 		return rc;
@@ -125,5 +125,5 @@
 }
 
-int bitmap_clear_cluster(exfat_bs_t *bs, devmap_handle_t devmap_handle, 
+int bitmap_clear_cluster(exfat_bs_t *bs, service_id_t service_id, 
     exfat_cluster_t clst)
 {
@@ -136,5 +136,5 @@
 	clst -= EXFAT_CLST_FIRST;
 	
-	rc = exfat_bitmap_get(&fn, devmap_handle);
+	rc = exfat_bitmap_get(&fn, service_id);
 	if (rc != EOK)
 		return rc;
@@ -160,5 +160,5 @@
 }
 
-int bitmap_set_clusters(exfat_bs_t *bs, devmap_handle_t devmap_handle, 
+int bitmap_set_clusters(exfat_bs_t *bs, service_id_t service_id, 
     exfat_cluster_t firstc, exfat_cluster_t count)
 {
@@ -168,8 +168,8 @@
 
 	while (clst < firstc+count ) {
-		rc = bitmap_set_cluster(bs, devmap_handle, clst);
+		rc = bitmap_set_cluster(bs, service_id, clst);
 		if (rc != EOK) {
 			if ((clst-firstc) > 0)
-				(void) bitmap_clear_clusters(bs, devmap_handle, firstc, clst-firstc);
+				(void) bitmap_clear_clusters(bs, service_id, firstc, clst-firstc);
 			return rc;
 		}
@@ -179,5 +179,5 @@
 }
 
-int bitmap_clear_clusters(exfat_bs_t *bs, devmap_handle_t devmap_handle, 
+int bitmap_clear_clusters(exfat_bs_t *bs, service_id_t service_id, 
     exfat_cluster_t firstc, exfat_cluster_t count)
 {
@@ -187,5 +187,5 @@
 
 	while (clst < firstc+count ) {
-		rc = bitmap_clear_cluster(bs, devmap_handle, clst);
+		rc = bitmap_clear_cluster(bs, service_id, clst);
 		if (rc != EOK)
 			return rc;
@@ -195,5 +195,5 @@
 }
 
-int bitmap_alloc_clusters(exfat_bs_t *bs, devmap_handle_t devmap_handle, 
+int bitmap_alloc_clusters(exfat_bs_t *bs, service_id_t service_id, 
     exfat_cluster_t *firstc, exfat_cluster_t count)
 {
@@ -203,8 +203,8 @@
 	while (startc < DATA_CNT(bs)+2) {
 		endc = startc;
-		while (bitmap_is_free(bs, devmap_handle, endc) == EOK) {
+		while (bitmap_is_free(bs, service_id, endc) == EOK) {
 			if ((endc - startc)+1 == count){
 				*firstc = startc;
-				return bitmap_set_clusters(bs, devmap_handle, startc, count);
+				return bitmap_set_clusters(bs, service_id, startc, count);
 			}
 			else
@@ -221,5 +221,5 @@
 {
 	if (nodep->firstc == 0) {
-		return bitmap_alloc_clusters(bs, nodep->idx->devmap_handle, 
+		return bitmap_alloc_clusters(bs, nodep->idx->service_id, 
 		    &nodep->firstc, count);
 	} else {
@@ -228,7 +228,7 @@
 
 		clst = lastc+1;
-		while (bitmap_is_free(bs, nodep->idx->devmap_handle, clst) == EOK) {
+		while (bitmap_is_free(bs, nodep->idx->service_id, clst) == EOK) {
 			if ((clst - lastc) == count){
-				return bitmap_set_clusters(bs, nodep->idx->devmap_handle, 
+				return bitmap_set_clusters(bs, nodep->idx->service_id, 
 				    lastc+1, count);
 			}
@@ -248,5 +248,5 @@
 	lastc -= count;
 
-	return bitmap_clear_clusters(bs, nodep->idx->devmap_handle, lastc+1, count);
+	return bitmap_clear_clusters(bs, nodep->idx->service_id, lastc+1, count);
 }
 
@@ -256,14 +256,14 @@
 	int rc;
 	exfat_cluster_t lastc, clst;
-	devmap_handle_t devmap_handle = nodep->idx->devmap_handle;
+	service_id_t service_id = nodep->idx->service_id;
 	lastc = nodep->firstc + ROUND_UP(nodep->size, BPC(bs)) / BPC(bs) - 1;
 
 	for (clst = nodep->firstc; clst < lastc; clst++) {
-		rc = exfat_set_cluster(bs, devmap_handle, clst, clst+1);
+		rc = exfat_set_cluster(bs, service_id, clst, clst+1);
 		if (rc != EOK)
 			return rc;
 	}
 
-	return exfat_set_cluster(bs, devmap_handle, lastc, EXFAT_CLST_EOF);
+	return exfat_set_cluster(bs, service_id, lastc, EXFAT_CLST_EOF);
 }
 
